
Redmine - Defect #2157

Problem in Wiki Page about SVN Setup

2008-11-10 15:59 - Skaag Argonius

Status: Closed Start date: 2008-11-10

Priority: Normal Due date:  

Assignee: Nicolas Chuche % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

The URL in question contains incorrect information:

http://www.redmine.org/wiki/redmine/Repositories_access_control_with_apache_mod_dav_svn_and_mod_perl#Apache-configuratio

n-for-subversion-repositories-and-redmine-after-07X

It should read like this:

First copy Redmine.pm to /usr/lib/perl5/Apache

Then load the following configuration script:

PerlLoadModule Apache::Redmine

<Location />

    DAV svn

    SVNParentPath "/var/svn" 

    AuthType Basic

    AuthName redmine

    Require valid-user

    PerlAccessHandler Apache::Authn::Redmine::access_handler

    PerlAuthenHandler Apache::Authn::Redmine::authen_handler

    RedmineDSN DBI:mysql:database=redmine;host=localhost

    RedmineDbUser xxxxxxxxxx

    RedmineDbPass xxxxxxxxxx

</Location>

 By the way if you grant me editing access, I will fix such things when I find them.

This should help you guys a bit, I guess?

Anyway for your consideration. Many thanks! :-)

History

#1 - 2008-11-11 10:27 - Jean-Philippe Lang

- Target version deleted (0.7.3)

- Affected version (unused) deleted (0.7.3)

- Affected version deleted (0.7.3)

#2 - 2008-12-12 03:54 - Chris Miller

Please updated this soon!  This took me the better part of two hours to diagnose until stumbling upon this bug (after wondering "hey, someone might

also be having trouble!")

If possible revert Redmine.pm so that it doesn't have to be moved to /usr/lib/perl5/Apache, as that makes updating difficult...

Before:

cd /opt/redmine

svn switch http://redmine.rubyforge.org/svn/tags/YourVersionHere
svn up

rake db:migrate RAILS_ENV="production" 

<restart the app however you need>

 After we have to annex:

mv -f /opt/redmine/extra/svn/Redmine.pm /usr/lib/perl5/Apache

#3 - 2008-12-15 13:01 - Nicolas Chuche

- Status changed from New to Closed

- Assignee changed from Jean-Philippe Lang to Nicolas Chuche

Please updated this soon! This took me the better part of two hours to diagnose until stumbling upon this bug (after wondering "hey, someone

might also be having trouble!")

 Ok done

If possible revert Redmine.pm so that it doesn't have to be moved to /usr/lib/perl5/Apache, as that makes updating difficult...

 Did you try to do a link instead of moving Redmine.pm ?
